FROM python:3.8

ENV PYTHONUNBUFFERED=1
ENV MICRO_SERVICE=/app
ENV PYTHONDONTWRITEBYTECODE 1

RUN mkdir -p $MICRO_SERVICE
WORKDIR $MICRO_SERVICE

COPY src/ $MICRO_SERVICE
COPY requirements.txt $MICRO_SERVICE


RUN pip install -r $MICRO_SERVICE/requirements.txt
EXPOSE 8501
CMD streamlit run app.py
